# $Revision: 1.20 $, $Date: 2011/02/23 11:24:14 $
Summary:	OpenSync Python plugin
Summary(pl.UTF-8):	Wtyczka Pythona do OpenSync
Name:		libopensync-plugin-python
Version:	0.36
Release:	6
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.opensync.org/download/releases/0.36/%{name}-%{version}.tar.gz
# Source0-md5:	b8a2d4632c88af3633453c668d2a7b11
Patch0:		cmake.patch
Patch1:		branch.diff
URL:		http://www.opensync.org/
BuildRequires:	cmake
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libopensync-devel >= 1:0.39-7
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	rpmbuild(macros) >= 1.577
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenSync is a synchronization framework that is platform and
distribution independent.

It consists of several plugins that can be used to connect to devices,
a powerful sync-engine and the framework itself.

This package contains Python plugin for OpenSync framework.

%description -l pl.UTF-8
OpenSync to niezależny od platformy i dystrybucji szkielet do
synchronizacji danych.

Składa się z różnych wtyczek, których można używać do łączenia z
urządzeniami, potężnego silnika synchronizacji oraz samego szkieletu.

Ten pakiet zawiera wtyczkę Pythona dla szkieletu OpenSync.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

rm cmake/modules/FindPythonLibs.cmake

%build
install -d build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_datadir}/libopensync1/python-plugins/sample.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS src/sample.py
%attr(755,root,root) %{_libdir}/libopensync1/plugins/python-module.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libopensync-plugin-python.spec,v $
Revision 1.20  2011/02/23 11:24:14  glen
- use noarch dir for python plugins (dir itself owned by python-opensync); rel 6

Revision 1.19  2010/12/22 08:59:27  glen
- add branch.diff (excluded cmake junk), builds now

Revision 1.18  2010/07/09 07:26:04  glen
- try building

Revision 1.17  2008/10/03 17:44:54  arekm
- release 4

Revision 1.16  2008/09/16 11:08:51  patrys
- rel 3

Revision 1.15  2008/09/16 11:05:57  patrys
- rel 3

Revision 1.14  2008-05-30 13:38:11  wolvverine
- add epoch to BR:libopensync-devel

Revision 1.13  2008-05-30 12:43:30  wolvverine
- rel.2

Revision 1.12  2008-05-30 00:58:38  wolvverine
- cosmetic

Revision 1.11  2008-05-18 04:14:24  aredridel
- 0.36

Revision 1.10  2007-09-02 13:04:07  qboosh
- more BRs, drop *.la
- include python-plugins dir

Revision 1.9  2007/08/31 20:44:30  glen
- rel 1

Revision 1.8  2007/08/29 21:43:23  glen
- update to 0.22

Revision 1.7  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.5  2006/10/23 21:59:28  glen
- working source0

Revision 1.4  2006/10/23 20:50:24  glen
- stricter libopensync dep

Revision 1.3  2006/01/24 10:39:47  qboosh
- pl

Revision 1.2  2006/01/23 12:24:19  wrobell
- fixed source uri's

Revision 1.1  2006/01/23 12:23:01  wrobell
- based on each other ;)
